summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Palimaka <kensington@gentoo.org>2016-12-01 02:16:35 +1100
committerMichael Palimaka <kensington@gentoo.org>2016-12-01 02:20:17 +1100
commit587a02bed6392517c662136334821ba2c07ab7fb (patch)
tree4d4dc69d6d8ba1eee45c4ba9f7986c6f61545fb2 /media-libs/mlt
parentapp-admin/collectd: Bump to v5.6.2 (diff)
downloadgentoo-587a02bed6392517c662136334821ba2c07ab7fb.tar.gz
gentoo-587a02bed6392517c662136334821ba2c07ab7fb.tar.bz2
gentoo-587a02bed6392517c662136334821ba2c07ab7fb.zip
media-libs/mlt: version bump to 6.4.1
Gentoo-bug: 601202 Package-Manager: portage-2.3.2
Diffstat (limited to 'media-libs/mlt')
-rw-r--r--media-libs/mlt/Manifest1
-rw-r--r--media-libs/mlt/metadata.xml1
-rw-r--r--media-libs/mlt/mlt-6.4.1.ebuild207
3 files changed, 209 insertions, 0 deletions
diff --git a/media-libs/mlt/Manifest b/media-libs/mlt/Manifest
index aa1e385e7e6..4de91be2110 100644
--- a/media-libs/mlt/Manifest
+++ b/media-libs/mlt/Manifest
@@ -1 +1,2 @@
DIST mlt-6.2.0.tar.gz 1314506 SHA256 dd2ee742e89620de78a259790f92a7cadad67f0e0a6c1ea7ed932f96fb739fff SHA512 a36ee9c0684511dfa83e08027671d7c6f2c19741cc0504a12d19b4f859c596ca3457108785fa8d7321f5ba83f9498b9be26abb0d857b86743d0ec61e6fb2745b WHIRLPOOL a1554d58d7373711b8e99a185e0e57807ba438f1647480971feec26f6b7123af1c811a6219311d69444277e6ac1da95a1d7c8d351271dd0e3a80913028dba3fc
+DIST mlt-6.4.1.tar.gz 1344030 SHA256 87583af552695b2235f4ee3fc1e645d69e31702b109331d7e8785fb180cfa382 SHA512 b082274e2184a0496f496517ddbcae33bab44cd1f50c1708942b7a24e5861ba97cae9fa21ec41ea21d662cbf56e2e2e66caa707a100077ef6e13aa7140f7a9fb WHIRLPOOL 5b89a42bd95be98e5461d5dcf2dd0f2fe481b519078c54fc461ff8561a2cc29eb18027061efd6a4d53b2a3c15bf4605add57fdfd98a49226eaf3abc738b73962
diff --git a/media-libs/mlt/metadata.xml b/media-libs/mlt/metadata.xml
index d81afd0fa55..6bb3994f390 100644
--- a/media-libs/mlt/metadata.xml
+++ b/media-libs/mlt/metadata.xml
@@ -14,6 +14,7 @@
<flag name="melt">Build the melt commandline tool</flag>
<flag name="lua">Build SWIG bindings for Lua</flag>
<flag name="kdenlive">Build support for <pkg>kde-apps/kdenlive</pkg></flag>
+ <flag name="opencv">Build motion tracking module using <pkg>media-libs/opencv</pkg></flag>
<flag name="python">Build SWIG bindings for Python</flag>
<flag name="rtaudio">Builds rtaudio consumer for native audio support on multiple platforms.</flag>
<flag name="ruby">Build SWIG bindings for Ruby</flag>
diff --git a/media-libs/mlt/mlt-6.4.1.ebuild b/media-libs/mlt/mlt-6.4.1.ebuild
new file mode 100644
index 00000000000..21dc7b0f7b9
--- /dev/null
+++ b/media-libs/mlt/mlt-6.4.1.ebuild
@@ -0,0 +1,207 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+USE_RUBY="ruby21"
+inherit eutils flag-o-matic multilib python-single-r1 ruby-single toolchain-funcs
+
+DESCRIPTION="Open source multimedia framework for television broadcasting"
+HOMEPAGE="http://www.mltframework.org/"
+SRC_URI="https://github.com/mltframework/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="compressed-lumas debug ffmpeg fftw frei0r gtk jack kdenlive libav libsamplerate melt opencv opengl
+cpu_flags_x86_mmx qt5 rtaudio sdl cpu_flags_x86_sse cpu_flags_x86_sse2 xine xml lua python ruby vdpau"
+# java perl php tcl vidstab
+IUSE="${IUSE} kernel_linux"
+
+#rtaudio will use OSS on non linux OSes
+COMMON_DEPEND="
+ ffmpeg? (
+ libav? ( media-video/libav:0=[vdpau?] )
+ !libav? ( media-video/ffmpeg:0=[vdpau?] )
+ )
+ xml? ( >=dev-libs/libxml2-2.5 )
+ sdl? ( >=media-libs/libsdl-1.2.10[X,opengl,video]
+ >=media-libs/sdl-image-1.2.4 )
+ libsamplerate? ( >=media-libs/libsamplerate-0.1.2 )
+ jack? ( >=media-sound/jack-audio-connection-kit-0.121.3
+ media-libs/ladspa-sdk
+ >=dev-libs/libxml2-2.5 )
+ fftw? ( sci-libs/fftw:3.0= )
+ frei0r? ( media-plugins/frei0r-plugins )
+ gtk? ( x11-libs/gtk+:2
+ media-libs/libexif
+ x11-libs/pango )
+ opencv? ( >=media-libs/opencv-3.1.0:= )
+ opengl? ( media-video/movit )
+ rtaudio? (
+ media-libs/rtaudio
+ kernel_linux? ( media-libs/alsa-lib )
+ )
+ xine? ( >=media-libs/xine-lib-1.1.2_pre20060328-r7 )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtsvg:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ media-libs/libexif
+ x11-libs/libX11
+ opengl? ( dev-qt/qtopengl:5 )
+ )
+ lua? ( >=dev-lang/lua-5.1.4-r4:= )
+ ruby? ( ${RUBY_DEPS} )"
+# sox? ( media-sound/sox )
+# java? ( >=virtual/jre-1.5 )
+# perl? ( dev-lang/perl )
+# php? ( dev-lang/php )
+# tcl? ( dev-lang/tcl:0= )
+# vidstab? ( media-libs/libvidstab )
+SWIG_DEPEND=">=dev-lang/swig-2.0"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+ compressed-lumas? ( || ( media-gfx/imagemagick[png]
+ media-gfx/graphicsmagick[imagemagick,png] ) )
+ lua? ( ${SWIG_DEPEND} virtual/pkgconfig )
+ python? ( ${SWIG_DEPEND} ${PYTHON_DEPS} )
+ ruby? ( ${SWIG_DEPEND} )"
+# java? ( ${SWIG_DEPEND} >=virtual/jdk-1.5 )
+# perl? ( ${SWIG_DEPEND} )
+# php? ( ${SWIG_DEPEND} )
+# tcl? ( ${SWIG_DEPEND} )
+RDEPEND="${COMMON_DEPEND}
+ !media-libs/mlt++
+"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-6.2.0-ruby-link.patch
+
+ # respect CFLAGS LDFLAGS when building shared libraries. Bug #308873
+ for x in python lua; do
+ sed -i "/mlt.so/s: -lmlt++ :& ${CFLAGS} ${LDFLAGS} :" src/swig/$x/build || die
+ done
+ sed -i "/^LDFLAGS/s: += :& ${LDFLAGS} :" src/swig/ruby/build || die
+
+ default
+}
+
+src_configure() {
+ tc-export CC CXX
+
+ # bug 589848
+ append-cxxflags -std=c++11
+
+ local myconf="--enable-gpl
+ --enable-gpl3
+ --enable-motion-est
+ --target-arch=$(tc-arch)
+ --disable-kde
+ --disable-swfdec
+ $(use_enable debug)
+ $(use compressed-lumas && echo ' --luma-compress')
+ $(use_enable cpu_flags_x86_sse sse)
+ $(use_enable cpu_flags_x86_sse2 sse2)
+ $(use_enable gtk gtk2)
+ $(use_enable sdl)
+ $(use_enable jack jackrack)
+ $(use_enable ffmpeg avformat)
+ $(use ffmpeg && echo ' --avformat-swscale')
+ $(use_enable fftw plus)
+ $(use_enable frei0r)
+ $(use_enable melt)
+ $(use_enable opencv)
+ $(use_enable opengl)
+ $(use_enable libsamplerate resample)
+ $(use_enable rtaudio)
+ $(use vdpau && echo ' --avformat-vdpau')
+ $(use_enable xml)
+ $(use_enable xine)
+ $(use_enable kdenlive)
+ --disable-sox"
+ #$(use_enable sox) FIXME
+
+ if use qt5 ; then
+ myconf+=" --enable-qt
+ --qt-includedir=$(pkg-config Qt5Core --variable=includedir)
+ --qt-libdir=$(pkg-config Qt5Core --variable=libdir)"
+ else
+ myconf+=" --disable-qt"
+ fi
+
+ if use x86 || use amd64 ; then
+ myconf+=" $(use_enable cpu_flags_x86_mmx mmx)"
+ else
+ myconf+=" --disable-mmx"
+ fi
+
+ if ! use melt; then
+ sed -i -e "s;src/melt;;" Makefile || die
+ fi
+
+ # TODO: add swig language bindings
+ # see also http://www.mltframework.org/twiki/bin/view/MLT/ExtremeMakeover
+
+ local swig_lang
+ # TODO: java perl php tcl
+ for i in lua python ruby ; do
+ use $i && swig_lang="${swig_lang} $i"
+ done
+ [ -z "${swig_lang}" ] && swig_lang="none"
+
+ econf ${myconf} --swig-languages="${swig_lang}"
+
+ sed -i -e s/^OPT/#OPT/ "${S}/config.mak" || die
+ if use qt5 ; then
+ if ! use opengl ; then
+ sed -i -e "/^USE_QT_OPENGL/ s/^/#/" "${S}/src/modules/qt/config.mak" || die
+ fi
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ dodoc AUTHORS ChangeLog NEWS README docs/*.txt
+
+ dodir /usr/share/${PN}
+ insinto /usr/share/${PN}
+ doins -r demo
+
+ docinto swig
+
+ # Install SWIG bindings
+ if use lua; then
+ cd "${S}"/src/swig/lua || die
+ exeinto $(pkg-config --variable INSTALL_CMOD lua)
+ doexe mlt.so
+ dodoc play.lua
+ fi
+
+ if use python; then
+ cd "${S}"/src/swig/python || die
+ insinto $(python_get_sitedir)
+ doins mlt.py
+ exeinto $(python_get_sitedir)
+ doexe _mlt.so
+ dodoc play.py
+ python_optimize
+ fi
+
+ if use ruby; then
+ cd "${S}"/src/swig/ruby || die
+ exeinto $("${EPREFIX}"/usr/bin/ruby -r rbconfig -e 'print Config::CONFIG["sitearchdir"]')
+ doexe mlt.so
+ dodoc play.rb thumbs.rb
+ fi
+ # TODO: java perl php tcl
+}